| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
cv::img_hash::MarrHildrethHash Class Reference
The module brings implementations of different image hashing algorithms.

Marr-Hildreth Operator Based Hash, slowest but more discriminative. More...

`#include <opencv2/img_hash/marr_hildreth_hash.hpp>`

Inheritance diagram for cv::img_hash::MarrHildrethHash:

## Public Member Functions
float | getAlpha () const
| self explain More...
float | getScale () const
| self explain More...
void | setKernelParam (float alpha, float scale)
| Set Mh kernel parameters. More...
Public Member Functions inherited from cv::img_hash::ImgHashBase
| ~ImgHashBase ()
double | compare (cv::InputArray hashOne, cv::InputArray hashTwo) const
| Compare the hash value between inOne and inTwo. More...
void | compute (cv::InputArray inputArr, cv::OutputArray outputArr)
| Computes hash of the input image. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< MarrHildrethHash > | create (float alpha=2.0f, float scale=1.0f)
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Protected Member Functions
| MarrHildrethHash ()
Protected Member Functions inherited from cv::img_hash::ImgHashBase
| ImgHashBase ()
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Additional Inherited Members
Protected Attributes inherited from cv::img_hash::ImgHashBase
Ptr< ImgHashImpl > | pImpl

## Detailed Description

Marr-Hildreth Operator Based Hash, slowest but more discriminative.

See [268] for details.

## Constructor & Destructor Documentation

## ◆ MarrHildrethHash()

cv::img_hash::MarrHildrethHash::MarrHildrethHash | ( |  | ) |
| inline protected

## Member Function Documentation

## ◆ create()

static Ptr<MarrHildrethHash> cv::img_hash::MarrHildrethHash::create | ( | float | alpha = `2.0f`,
|  | float | scale = `1.0f`
| ) |  |
| static

Python:
| retval | = | cv.img_hash.MarrHildrethHash_create( | [, alpha[, scale]] | )

Parameters

  alpha | int scale factor for marr wavelet (default=2).
  scale | int level of scale factor (default = 1)

## ◆ getAlpha()

float cv::img_hash::MarrHildrethHash::getAlpha | ( |  | ) | const

Python:
| retval | = | cv.img_hash_MarrHildrethHash.getAlpha( |  | )

self explain

## ◆ getScale()

float cv::img_hash::MarrHildrethHash::getScale | ( |  | ) | const

Python:
| retval | = | cv.img_hash_MarrHildrethHash.getScale( |  | )

self explain

## ◆ setKernelParam()

void cv::img_hash::MarrHildrethHash::setKernelParam | ( | float | alpha,
|  | float | scale
| ) |  |

Python:
| None | = | cv.img_hash_MarrHildrethHash.setKernelParam( | alpha, scale | )

Set Mh kernel parameters.

Parameters

  alpha | int scale factor for marr wavelet (default=2).
  scale | int level of scale factor (default = 1)

The documentation for this class was generated from the following file:

- opencv2/img_hash/marr_hildreth_hash.hpp